Bug 289146 - rekonq crash
Summary: rekonq crash
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 0.9
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-16 22:02 UTC by sahinsureyya
Modified: 2011-12-22 18:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sahinsureyya 2011-12-16 22:02:59 UTC
Application: rekonq (0.8.56)
KDE Platform Version: 4.7.4 (4.7.4) "release 11"
Qt Version: 4.7.4
Operating System: Linux 3.1.0-1.2-desktop x86_64
Distribution: "openSUSE 12.1 (x86_64)"

-- Information about the crash:
rekonq crashes when interacting with kde wallet manager.

The crash can be reproduced every time.

-- Backtrace:
Application: rekonq (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fe7d0805760 (LWP 2274))]

Thread 9 (Thread 0x7fe7ad2e7700 (LWP 2275)):
#0  0x00007fe7cf0ede6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe7c53da9dc in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007fe7c53dab09 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fe7acae6700 (LWP 2276)):
#0  0x00007fe7cde79423 in poll () from /lib64/libc.so.6
#1  0x00007fe7cac6ea98 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe7cac6ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe7cf48b576 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007fe7cf45fa22 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007fe7cf45fc1f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007fe7cf3775df in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007fe7cf37a025 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fe7a79b7700 (LWP 2277)):
#0  0x00007fe7cf0ede6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe7c3f31852 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007fe7c3f31889 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fe7a63ec700 (LWP 2278)):
#0  0x00007fe7cf0ede6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe7cf37a4bb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fe7c31a1104 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x75fd90, th=0xf2d020) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fe7c31a36ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x763180, th=0xf2d020) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fe7c31a256f in ThreadWeaver::ThreadRunHelper::run (this=0x7fe7a63ebe40, parent=0x75fd90, th=0xf2d020) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:87
#5  0x00007fe7c31a25fb in ThreadWeaver::Thread::run (this=0xf2d020) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:142
#6  0x00007fe7cf37a025 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fe755a70700 (LWP 2282)):
#0  0x00007fe7cf0ede6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe755a95c01 in queue_processor(void*) () from /usr/lib64/IcedTeaPlugin.so
#2  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fe75526f700 (LWP 2283)):
#0  0x00007fe7cf0ede6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe755a95c01 in queue_processor(void*) () from /usr/lib64/IcedTeaPlugin.so
#2  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fe754a6e700 (LWP 2284)):
#0  0x00007fe7cf0ede6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe755a95c01 in queue_processor(void*) () from /usr/lib64/IcedTeaPlugin.so
#2  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fe7491c1700 (LWP 2304)):
#0  0x00007fe7cf0ede6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe7cf37a4bb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fe7c31a1104 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x75fd90, th=0x123ecc0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fe7c31a36ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x763180, th=0x123ecc0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fe7c31a256f in ThreadWeaver::ThreadRunHelper::run (this=0x7fe7491c0e40, parent=0x75fd90, th=0x123ecc0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:87
#5  0x00007fe7c31a25fb in ThreadWeaver::Thread::run (this=0x123ecc0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:142
#6  0x00007fe7cf37a025 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007fe7cf0e9f05 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fe7cde8253d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fe7d0805760 (LWP 2274)):
[KCrash Handler]
#6  SyncManager::syncPasswords (this=0x728bc0) at /usr/local/src/rekonq-git/src/sync/syncmanager.cpp:129
#7  0x00007fe7bdd7514d in SyncManager::qt_metacall (this=0x728bc0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=<optimized out>) at /usr/local/src/rekonq-git/build/src/syncmanager.moc:80
#8  0x00007fe7cf47359a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#9  0x00007fe7bdd13842 in WalletBar::saveFormDataAccepted (this=<optimized out>, _t1=<optimized out>) at /usr/local/src/rekonq-git/build/src/walletbar.moc:100
#10 0x00007fe7bdd13bed in WalletBar::rememberData (this=0x1070e00) at /usr/local/src/rekonq-git/src/walletbar.cpp:69
#11 0x00007fe7bdd13f5c in WalletBar::qt_metacall (this=0x1070e00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff37d5a5e0) at /usr/local/src/rekonq-git/build/src/walletbar.moc:85
#12 0x00007fe7cf47359a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#13 0x00007fe7ce60c622 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#14 0x00007fe7ce60c80f in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#15 0x00007fe7ce9c68aa in ?? () from /usr/lib64/libQtGui.so.4
#16 0x00007fe7ce9c6b5c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#17 0x00007fe7cea8307a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x00007fe7ce663306 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007fe7ce612c34 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#20 0x00007fe7ce6183bb in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#21 0x00007fe7d01f3186 in KApplication::notify (this=0x7fff37d5bbc0, receiver=0x431cc00, event=0x7fff37d5aec0) at /usr/src/debug/kdelibs-4.7.4/kdeui/kernel/kapplication.cpp:311
#22 0x00007fe7cf46081c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#23 0x00007fe7ce613c02 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#24 0x00007fe7ce68fbc5 in ?? () from /usr/lib64/libQtGui.so.4
#25 0x00007fe7ce68ea9a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#26 0x00007fe7ce6b6312 in ?? () from /usr/lib64/libQtGui.so.4
#27 0x00007fe7cac6e58d in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#28 0x00007fe7cac6ed88 in ?? () from /usr/lib64/libglib-2.0.so.0
#29 0x00007fe7cac6ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#30 0x00007fe7cf48b50f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#31 0x00007fe7ce6b5f9e in ?? () from /usr/lib64/libQtGui.so.4
#32 0x00007fe7cf45fa22 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#33 0x00007fe7cf45fc1f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#34 0x00007fe7cf463de7 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#35 0x00007fe7bdd80377 in kdemain (argc=1, argv=<optimized out>) at /usr/local/src/rekonq-git/src/main.cpp:215
#36 0x0000000000408897 in _start ()

Reported using DrKonqi
Comment 1 Andrea Diamantini 2011-12-18 09:59:14 UTC
Fix will arrive in master in some minutes. Thanks for the report. 
Can I ask you if you are using sync? If so, what are your impressions?
Comment 2 Andrea Diamantini 2011-12-18 10:04:45 UTC
Git commit 32089d201eaf9543246e6d9e3ee4f1761ca0735a by Andrea Diamantini.
Committed on 18/12/2011 at 11:02.
Pushed by adjam into branch 'master'.

Get sure synchandler exists before calling it

This should be important just on password sync, cause of code design.
Anyway, checking it everytime shouldn't be a bad idea...

BUG: 289146

M  +13   -3    src/sync/syncmanager.cpp

http://commits.kde.org/rekonq/32089d201eaf9543246e6d9e3ee4f1761ca0735a
Comment 3 sahinsureyya 2011-12-20 00:14:58 UTC
On Sunday, December 18, 2011 09:59:14 AM Andrea Diamantini 
wrote:
> https://bugs.kde.org/show_bug.cgi?id=289146
> 
> 
> 
> 
> 
> --- Comment #1 from Andrea Diamantini <adjam7 gmail com> 
> 2011-12-18 09:59:14 --- Fix will arrive in master in some
> minutes. Thanks for the report. Can I ask you if you are
> using sync? If so, what are your impressions?

No I was not using sync, just the password manager. Rekonq is 
a nice web browser and using it is a pleasent experience in 
kde. I am experiencing crashes still; for example, I visit 
kde-look.org and open themes/wallpapers in new tabs and after 
4rd tab or so, it will crash (or else try to switch to an open 
tab to download the theme will create a crash again). 
Unfortunately, I am not able to generate a report (it says the 
report does not include useful information for the developers 
and refuses to send). Another small problem is it fails to 
load the webpages fully (for example some of the images will 
not be loaded when you visit www.nytimes.com, instead I just 
see frames).

Thank you for fixing the crash on the password manager.
Comment 4 Andrea Diamantini 2011-12-20 09:39:25 UTC
(In reply to comment #3)
> On Sunday, December 18, 2011 09:59:14 AM Andrea Diamantini 
> wrote:
> > https://bugs.kde.org/show_bug.cgi?id=289146
> > 
> > 
> > 
> > 
> > 
> > --- Comment #1 from Andrea Diamantini <adjam7 gmail com> 
> > 2011-12-18 09:59:14 --- Fix will arrive in master in some
> > minutes. Thanks for the report. Can I ask you if you are
> > using sync? If so, what are your impressions?
> 
> No I was not using sync, just the password manager. Rekonq is 
> a nice web browser and using it is a pleasent experience in 
> kde. I am experiencing crashes still; for example, I visit 
> kde-look.org and open themes/wallpapers in new tabs and after 
> 4rd tab or so, it will crash (or else try to switch to an open 
> tab to download the theme will create a crash again). 
> Unfortunately, I am not able to generate a report (it says the 
> report does not include useful information for the developers 
> and refuses to send). Another small problem is it fails to 
> load the webpages fully (for example some of the images will 
> not be loaded when you visit www.nytimes.com, instead I just 
> see frames).
> 
> Thank you for fixing the crash on the password manager.

Can you please try disabling/enabling adblock if you are using/not using it and test these sites?
Comment 5 sahinsureyya 2011-12-20 15:34:09 UTC
On Tuesday, December 20, 2011 09:39:25 AM Andrea Diamantini 
wrote:
> https://bugs.kde.org/show_bug.cgi?id=289146
> 
> 
> 
> 
> 
> --- Comment #4 from Andrea Diamantini <adjam7 gmail com> 
> 2011-12-20 09:39:25 --- (In reply to comment #3)
> 
> > On Sunday, December 18, 2011 09:59:14 AM Andrea
> > Diamantini> 
> > wrote:
> > > https://bugs.kde.org/show_bug.cgi?id=289146
> > > 
> > > 
> > > 
> > > 
> > > 
> > > --- Comment #1 from Andrea Diamantini <adjam7 gmail
> > > com> 2011-12-18 09:59:14 --- Fix will arrive in
> > > master in some minutes. Thanks for the report. Can
> > > I ask you if you are using sync? If so, what are
> > > your impressions?
> > 
> > No I was not using sync, just the password manager.
> > Rekonq is a nice web browser and using it is a pleasent
> > experience in kde. I am experiencing crashes still; for
> > example, I visit kde-look.org and open
> > themes/wallpapers in new tabs and after 4rd tab or so,
> > it will crash (or else try to switch to an open tab to
> > download the theme will create a crash again).
> > Unfortunately, I am not able to generate a report (it
> > says the report does not include useful information for
> > the developers and refuses to send). Another small
> > problem is it fails to load the webpages fully (for
> > example some of the images will not be loaded when you
> > visit www.nytimes.com, instead I just see frames).
> > 
> > Thank you for fixing the crash on the password manager.
> 
> Can you please try disabling/enabling adblock if you are
> using/not using it and test these sites?

I had the adblock enabled with the hide filtered elements 
option checked before. So, I disabled the adblock and tried 
http://kde-look.org again. I open 3-4 themes or wallpapers 
consecutively in new tabs and rekonq crashes. Another crash 
occurs - sometimes - if I want to download the theme, in this 
case I would be redirected to source forge website and during 
this process rekonq crashes suddenly.

The small problem with the new york times website gone away 
when I disabled the adblock.  I guess the empty frames with 
the image logos were static advertisements. Still, I tried 
another news website and I ended up with empty frames with 
image logos instead of picture or video links again. These 
websites are showing up properly in firefox with the adblock 
plus extension on.
Comment 6 sahinsureyya 2011-12-20 16:37:23 UTC
I just updated rekonq from the git and tried to test it again. 
As previously, I went to http://kde-look.org website. Then, I 
made a search, for example, bespin themes. From the search 
results, i started opening new themes consecutively on new 
tabs. After the 4th tab or so rekonq crashes again. 

I tried to generate a bug report but it is refusing to send. I 
am using opensuse 12.1 with debug repos enabled. Still, I am 
not able to find and install the proper debug packages I guess.
Comment 7 Andrea Diamantini 2011-12-22 17:43:24 UTC
just open a new bug here for rekonq then without the backtrace. I will take care of testing (and hopefully, bugfixing).

Regards.
Comment 8 sahinsureyya 2011-12-22 18:14:59 UTC
On Thursday, December 22, 2011 05:43:57 PM Andrea Diamantini 
wrote:
> https://bugs.kde.org/show_bug.cgi?id=289146
> 
> 
> 
> 
> 
> --- Comment #7 from Andrea Diamantini <adjam7 gmail com> 
> 2011-12-22 17:43:24 --- just open a new bug here for rekonq
> then without the backtrace. I will take care of testing
> (and hopefully, bugfixing).
> 
> Regards.

I managed to obtain a usable backtrace and opened a bug report 
on:

https://bugs.kde.org/show_bug.cgi?id=289456

It seems like this bug is due to the flash player. I applied 
the directions I received from another person to upgrade the 
flash player to 11.2 and now rekonq is working well, much more 
stable. I am still keeping an eye to see if I get a crash 
again.

For the small problem, I opened a bug report without a 
backtrace on:

https://bugs.kde.org/show_bug.cgi?id=289604

Thank you for your interest.